<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.9.10.1.9.3.2
Name: Storia Clinica (RSA)
Description: History general Narrative - Reported (LOINC: 11329-0 )
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000">
   <title>Storia Clinica (RSA)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.2
Context: *[hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]
Item: (Storia_Clinica)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.2
Context: *[hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]
Item: (Storia_Clinica)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]"
         id="d42e3064-false-d484817e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(Storia_Clinica): The value for classCode SHALL be 'DOCSECT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Storia_Clinica): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.2']) &lt;= 1">(Storia_Clinica): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.2'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="count(hl7:id) &lt;= 1">(Storia_Clinica): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="count(hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(Storia_Clinica): element hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="count(hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(Storia_Clinica): element hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="count(hl7:title) &lt;= 1">(Storia_Clinica): element hl7:title appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="count(hl7:text) &gt;= 1">(Storia_Clinica): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="count(hl7:text) &lt;= 1">(Storia_Clinica): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="count(hl7:entry[hl7:organizer[hl7:code[(@code = '10157-6' and @codeSystem = '2.16.840.1.113883.6.1')]]]) &lt;= 1">(Storia_Clinica): element hl7:entry[hl7:organizer[hl7:code[(@code = '10157-6' and @codeSystem = '2.16.840.1.113883.6.1')]]] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="count(hl7:component[hl7:section]) &lt;= 1">(Storia_Clinica): element hl7:component[hl7:section] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="count(hl7:component[hl7:section]) &lt;= 1">(Storia_Clinica): element hl7:component[hl7:section] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.2
Context: *[hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.2']
Item: (Storia_Clinica)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.9.3.2']"
         id="d42e3070-false-d484931e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.9.3.2')">(Storia_Clinica): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.9.3.2'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.2
Context: *[hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:id
Item: (Storia_Clinica)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.2
Context: *[hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (Storia_Clinica)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e3077-false-d484951e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="string(@code) = ('11329-0')">(Storia_Clinica): The value for code SHALL be '11329-0'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(Storia_Clinica): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="string(@codeSystemName) = ('LOINC') or not(@codeSystemName)">(Storia_Clinica): The value for codeSystemName SHALL be 'LOINC'. Found: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(Storia_Clinica): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(Storia_Clinica): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.2
Context: *[hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:title
Item: (Storia_Clinica)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.2
Context: *[hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:text
Item: (Storia_Clinica)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.2
Context: *[hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]
Item: (Storia_Clinica)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:observation[hl7:code[(@code = '75326-9' and @codeSystem = '2.16.840.1.113883.6.1')]]]">
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@typeCode),'\s'))"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="not(@typeCode) or empty($theAttValue[not(. = (doc('include/voc-2.16.840.1.113883.1.11.19446-DYNAMIC.xml')/*/valueSet/conceptList/concept/@code))])">(Storia_Clinica): The value for typeCode SHALL be selected from value set '2.16.840.1.113883.1.11.19446' x_ActRelationshipEntry (DYNAMIC).</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(Storia_Clinica): The value for contextConductionInd SHALL be 'true'. Found: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.2
Context: *[hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:organizer[hl7:code[(@code = '10157-6' and @codeSystem = '2.16.840.1.113883.6.1')]]]
Item: (Storia_Clinica)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:entry[hl7:organizer[hl7:code[(@code = '10157-6' and @codeSystem = '2.16.840.1.113883.6.1')]]]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="not(@typeCode) or (string-length(@typeCode) &gt; 0 and not(matches(@typeCode,'\s')))">(Storia_Clinica): Attribute @typeCode SHALL be of data type 'cs'  - '<value-of select="@typeCode"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(Storia_Clinica): Attribute @contextConductionInd SHALL be of data type 'bl'  - '<value-of select="@contextConductionInd"/>'</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.2
Context: *[hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:component[hl7:section]
Item: (Storia_Clinica)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:component[hl7:section]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(Storia_Clinica): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(Storia_Clinica): The value for contextConductionInd SHALL be 'true'. Found: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.9.3.2
Context: *[hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:component[hl7:section]
Item: (Storia_Clinica)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]]/hl7:section[hl7:code[(@code = '11329-0' and @codeSystem = '2.16.840.1.113883.6.1')]]/hl7:component[hl7:section]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="string(@typeCode) = ('COMP') or not(@typeCode)">(Storia_Clinica): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.9.3.2-2018-04-11T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(Storia_Clinica): The value for contextConductionInd SHALL be 'true'. Found: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
