<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.388
Name: Terapie Farmacologiche_SubstanceAdministration (RSA)
Description: Pharmacological Therapies
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917">
   <title>Terapie Farmacologiche_SubstanceAdministration (RSA)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.388
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]
Item: (Terapie_Farmacologiche_dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.388
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]
Item: (Terapie_Farmacologiche_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]"
         id="d42e7185-false-d491848e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="string(@classCode) = ('SBADM')">(Terapie_Farmacologiche_dimissione): The value for classCode SHALL be 'SBADM'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="string(@moodCode) = ('INT')">(Terapie_Farmacologiche_dimissione): The value for moodCode SHALL be 'INT'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.388']) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.388'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="count(hl7:statusCode) &gt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:statusCode is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="count(hl7:statusCode) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:statusCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="count(hl7:effectiveTime) &gt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="count(hl7:effectiveTime) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="count(hl7:effectiveTime) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="count(hl7:effectiveTime) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="count(hl7:routeCode) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:routeCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="count(hl7:approachSiteCode) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:approachSiteCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="count(hl7:doseQuantity) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:doseQuantity appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="count(hl7:rateQuantity) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:rateQuantity appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="count(hl7:administrationUnitCode) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:administrationUnitCode appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="count(hl7:consumable[hl7:manufacturedProduct]) &gt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:consumable[hl7:manufacturedProduct] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="count(hl7:consumable[hl7:manufacturedProduct]) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:consumable[hl7:manufacturedProduct] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="count(hl7:entryRelationship[@typeCode = 'COMP'][hl7:supply]) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:entryRelationship[@typeCode = 'COMP'][hl7:supply] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.388
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.388']
Item: (Terapie_Farmacologiche_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.388']"
         id="d42e7197-false-d491966e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.63.10.388')">(Terapie_Farmacologiche_dimissione): The value for root SHALL be '2.16.840.1.113883.3.1937.777.63.10.388'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.388
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:statusCode
Item: (Terapie_Farmacologiche_dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.388
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:effectiveTime
Item: (Terapie_Farmacologiche_dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.388
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:effectiveTime
Item: (Terapie_Farmacologiche_dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.388
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:effectiveTime
Item: (Terapie_Farmacologiche_dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.388
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:routeCode
Item: (Terapie_Farmacologiche_dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.388
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:approachSiteCode
Item: (Terapie_Farmacologiche_dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.388
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:doseQuantity
Item: (Terapie_Farmacologiche_dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.388
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:rateQuantity
Item: (Terapie_Farmacologiche_dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.388
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:administrationUnitCode
Item: (Terapie_Farmacologiche_dimissione)
-->


   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.388
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:consumable[hl7:manufacturedProduct]
Item: (Terapie_Farmacologiche_dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.53
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:consumable[hl7:manufacturedProduct]
Item: (Prodotto_fabbricato1)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.53
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:consumable[hl7:manufacturedProduct]/hl7:manufacturedProduct
Item: (Prodotto_fabbricato1)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:consumable[hl7:manufacturedProduct]/hl7:manufacturedProduct">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.6.53-2018-03-19T000000.html"
              test="string(@classCode) = ('MANU') or not(@classCode)">(Prodotto_fabbricato1): The value for classCode SHALL be 'MANU'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.6.53-2018-03-19T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']) &lt;= 1">(Prodotto_fabbricato1): element hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53'] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.53
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:consumable[hl7:manufacturedProduct]/hl7:manufacturedProduct/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']
Item: (Prodotto_fabbricato1)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:consumable[hl7:manufacturedProduct]/hl7:manufacturedProduct/hl7:templateId[@root = '2.16.840.1.113883.2.9.10.1.6.53']">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.6.53-2018-03-19T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.9.10.1.6.53')">(Prodotto_fabbricato1): The value for root SHALL be '2.16.840.1.113883.2.9.10.1.6.53'. Found: "<value-of select="@root"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.53
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:consumable[hl7:manufacturedProduct]/hl7:manufacturedProduct/hl7:id
Item: (Prodotto_fabbricato1)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.53
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:consumable[hl7:manufacturedProduct]/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (Prodotto_fabbricato1)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:consumable[hl7:manufacturedProduct]/hl7:manufacturedProduct/hl7:manufacturedMaterial">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.6.53-2018-03-19T000000.html"
              test="string(@classCode) = ('MMAT') or not(@classCode)">(Prodotto_fabbricato1): The value for classCode SHALL be 'MMAT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.6.53-2018-03-19T000000.html"
              test="string(@determinerCode) = ('KIND') or not(@determinerCode)">(Prodotto_fabbricato1): The value for determinerCode SHALL be 'KIND'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.6.53-2018-03-19T000000.html"
              test="count(hl7:code) &gt;= 1">(Prodotto_fabbricato1): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.6.53-2018-03-19T000000.html"
              test="count(hl7:code) &lt;= 1">(Prodotto_fabbricato1): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.2.9.10.1.6.53-2018-03-19T000000.html"
              test="count(hl7:name) &lt;= 1">(Prodotto_fabbricato1): element hl7:name appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.53
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:consumable[hl7:manufacturedProduct]/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:code
Item: (Prodotto_fabbricato1)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.53
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:consumable[hl7:manufacturedProduct]/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:code/hl7:translation
Item: (Prodotto_fabbricato1)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.9.10.1.6.53
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:consumable[hl7:manufacturedProduct]/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:name
Item: (Prodotto_fabbricato1)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.388
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:participant[hl7:participantRole]
Item: (Terapie_Farmacologiche_dimissione)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.385
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:participant[hl7:participantRole]
Item: (particpesecutore)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:participant[hl7:participantRole]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.385-2023-12-20T130719.html"
              test="string(@typeCode) = ('PRF') or not(@typeCode)">(particpesecutore): The value for typeCode SHALL be 'PRF'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.385-2023-12-20T130719.html"
              test="count(hl7:time) &lt;= 1">(particpesecutore): element hl7:time appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.385-2023-12-20T130719.html"
              test="count(hl7:participantRole[hl7:playingEntity]) &gt;= 1">(particpesecutore): element hl7:participantRole[hl7:playingEntity] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.385-2023-12-20T130719.html"
              test="count(hl7:participantRole[hl7:playingEntity]) &lt;= 1">(particpesecutore): element hl7:participantRole[hl7:playingEntity] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.385
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:participant[hl7:participantRole]/hl7:time
Item: (particpesecutore)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.385
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:participant[hl7:participantRole]/hl7:participantRole[hl7:playingEntity]
Item: (particpesecutore)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:participant[hl7:participantRole]/hl7:participantRole[hl7:playingEntity]">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.385-2023-12-20T130719.html"
              test="string(@classCode) = ('ROL') or not(@classCode)">(particpesecutore): The value for classCode SHALL be 'ROL'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.385-2023-12-20T130719.html"
              test="count(hl7:id) &gt;= 1">(particpesecutore): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.385-2023-12-20T130719.html"
              test="count(hl7:id) &lt;= 1">(particpesecutore): element hl7:id appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.385-2023-12-20T130719.html"
              test="count(hl7:playingEntity) &gt;= 1">(particpesecutore): element hl7:playingEntity is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.385-2023-12-20T130719.html"
              test="count(hl7:playingEntity) &lt;= 1">(particpesecutore): element hl7:playingEntity appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.385
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:participant[hl7:participantRole]/hl7:participantRole[hl7:playingEntity]/hl7:id
Item: (particpesecutore)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.385
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:participant[hl7:participantRole]/hl7:participantRole[hl7:playingEntity]/hl7:playingEntity
Item: (particpesecutore)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:participant[hl7:participantRole]/hl7:participantRole[hl7:playingEntity]/hl7:playingEntity">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.385-2023-12-20T130719.html"
              test="count(hl7:name) &gt;= 1">(particpesecutore): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.385-2023-12-20T130719.html"
              test="count(hl7:name) &lt;= 1">(particpesecutore): element hl7:name appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.385
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:participant[hl7:participantRole]/hl7:participantRole[hl7:playingEntity]/hl7:playingEntity/hl7:name
Item: (particpesecutore)
-->
   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:participant[hl7:participantRole]/hl7:participantRole[hl7:playingEntity]/hl7:playingEntity/hl7:name">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.385-2023-12-20T130719.html"
              test="count(hl7:given) &gt;= 1">(particpesecutore): element hl7:given is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.385-2023-12-20T130719.html"
              test="count(hl7:given) &lt;= 1">(particpesecutore): element hl7:given appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.385-2023-12-20T130719.html"
              test="count(hl7:family) &gt;= 1">(particpesecutore): element hl7:family is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.385-2023-12-20T130719.html"
              test="count(hl7:family) &lt;= 1">(particpesecutore): element hl7:family appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.385
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:participant[hl7:participantRole]/hl7:participantRole[hl7:playingEntity]/hl7:playingEntity/hl7:name/hl7:given
Item: (particpesecutore)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.385
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:participant[hl7:participantRole]/hl7:participantRole[hl7:playingEntity]/hl7:playingEntity/hl7:name/hl7:family
Item: (particpesecutore)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.388
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:entryRelationship[hl7:observation]
Item: (Terapie_Farmacologiche_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:entryRelationship[hl7:observation]"
         id="d42e7304-false-d492324e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="count(hl7:observation) &gt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:observation is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="count(hl7:observation) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:observation appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.388
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:entryRelationship[hl7:observation]/hl7:observation
Item: (Terapie_Farmacologiche_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:entryRelationship[hl7:observation]/hl7:observation"
         id="d42e7312-false-d492340e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(Terapie_Farmacologiche_dimissione): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Terapie_Farmacologiche_dimissione): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="count(hl7:code) &gt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="count(hl7:code) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="count(hl7:value) &gt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="count(hl7:value) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.388
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:entryRelationship[hl7:observation]/hl7:observation/hl7:code
Item: (Terapie_Farmacologiche_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:entryRelationship[hl7:observation]/hl7:observation/hl7:code"
         id="d42e7320-false-d492372e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="@code">(Terapie_Farmacologiche_dimissione): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(Terapie_Farmacologiche_dimissione): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="@codeSystem">(Terapie_Farmacologiche_dimissione): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@codeSystem,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@codeSystem,'^[A-Za-z][A-Za-z\d\-]*$')">(Terapie_Farmacologiche_dimissione): Attribute @codeSystem SHALL be of data type 'uid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(Terapie_Farmacologiche_dimissione): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(Terapie_Farmacologiche_dimissione): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.388
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:entryRelationship[hl7:observation]/hl7:observation/hl7:value
Item: (Terapie_Farmacologiche_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:entryRelationship[hl7:observation]/hl7:observation/hl7:value"
         id="d42e7337-false-d492396e0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="@nullFlavor or ($xsiLocalName='REAL' and $xsiLocalNS='urn:hl7-org:v3')">(Terapie_Farmacologiche_dimissione): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:REAL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.388
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation]
Item: (Terapie_Farmacologiche_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation]"
         id="d42e7350-false-d492408e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="string(@typeCode) = ('COMP')">(Terapie_Farmacologiche_dimissione): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="count(hl7:observation) &gt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:observation is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="count(hl7:observation) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:observation appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.388
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation]/hl7:observation
Item: (Terapie_Farmacologiche_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation]/hl7:observation"
         id="d42e7360-false-d492428e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(Terapie_Farmacologiche_dimissione): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(Terapie_Farmacologiche_dimissione): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="count(hl7:code) &gt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="count(hl7:code) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="count(hl7:value) &gt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="count(hl7:value) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.388
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation]/hl7:observation/hl7:code
Item: (Terapie_Farmacologiche_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation]/hl7:observation/hl7:code"
         id="d42e7368-false-d492460e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="@code">(Terapie_Farmacologiche_dimissione): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(Terapie_Farmacologiche_dimissione): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="@codeSystem">(Terapie_Farmacologiche_dimissione): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@codeSystem,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@codeSystem,'^[A-Za-z][A-Za-z\d\-]*$')">(Terapie_Farmacologiche_dimissione): Attribute @codeSystem SHALL be of data type 'uid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(Terapie_Farmacologiche_dimissione): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(Terapie_Farmacologiche_dimissione): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.388
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation]/hl7:observation/hl7:value
Item: (Terapie_Farmacologiche_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:entryRelationship[@typeCode = 'COMP'][hl7:observation]/hl7:observation/hl7:value"
         id="d42e7385-false-d492484e0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="@nullFlavor or ($xsiLocalName='REAL' and $xsiLocalNS='urn:hl7-org:v3')">(Terapie_Farmacologiche_dimissione): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:REAL". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.388
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:entryRelationship[@typeCode = 'COMP'][hl7:supply]
Item: (Terapie_Farmacologiche_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:entryRelationship[@typeCode = 'COMP'][hl7:supply]"
         id="d42e7399-false-d492496e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="string(@typeCode) = ('COMP')">(Terapie_Farmacologiche_dimissione): The value for typeCode SHALL be 'COMP'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="count(hl7:supply) &gt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:supply is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="count(hl7:supply) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:supply appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.388
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:entryRelationship[@typeCode = 'COMP'][hl7:supply]/hl7:supply
Item: (Terapie_Farmacologiche_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:entryRelationship[@typeCode = 'COMP'][hl7:supply]/hl7:supply"
         id="d42e7409-false-d492516e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="string(@classCode) = ('SPLY') or not(@classCode)">(Terapie_Farmacologiche_dimissione): The value for classCode SHALL be 'SPLY'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="string(@moodCode) = ('RQO') or not(@moodCode)">(Terapie_Farmacologiche_dimissione): The value for moodCode SHALL be 'RQO'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="count(hl7:quantity) &gt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:quantity is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="count(hl7:quantity) &lt;= 1">(Terapie_Farmacologiche_dimissione): element hl7:quantity appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.388
Context: *[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:entryRelationship[@typeCode = 'COMP'][hl7:supply]/hl7:supply/hl7:quantity
Item: (Terapie_Farmacologiche_dimissione)
-->

   <rule fpi="RULC-1"
         context="*[hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]]/hl7:substanceAdministration[@classCode = 'SBADM'][@moodCode = 'INT'][hl7:consumable]/hl7:entryRelationship[@typeCode = 'COMP'][hl7:supply]/hl7:supply/hl7:quantity"
         id="d42e7417-false-d492540e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20231222T103411/tmp-2.16.840.1.113883.3.1937.777.63.10.388-2023-12-20T151917.html"
              test="@value">(Terapie_Farmacologiche_dimissione): attribute @value SHALL be present.</assert>
   </rule>
</pattern>
